# GraphQL

GraphQL is a query language for APIs and a runtime for fulfilling those queries with your existing data.

The GraphQL plugin includes the **GraphQLQuery** function, which allows you to call a GraphQL service to execute a GraphQL query, and the **GraphQLServer** service on which you can host your GraphQL schema to expose your data to GraphQL queries.

***

### Links <a href="#links" id="links"></a>

[GraphQL.org](https://graphql.org/)

[GraphQL License](/reference/plugins/graphql/license.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/graphql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
